org.eclipse.viatra.cep.vepl.vepl

## Interface ParameterizedPatternCall

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ParameterizedPatternCallImpl

      public interface ParameterizedPatternCall
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Parameterized Pattern Call'.

  The following features are supported:

  - `Event Pattern`
  - `Parameter List`
  See Also:
    `VeplPackage.getParameterizedPatternCall()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventPattern` | `getEventPattern()` Returns the value of the 'Event Pattern' reference.
    `PatternCallParameterList` | `getParameterList()` Returns the value of the 'Parameter List' containment reference.
    `void` | `setEventPattern(EventPattern value)` Sets the value of the '`Event Pattern`' reference.
    `void` | `setParameterList(PatternCallParameterList value)` Sets the value of the '`Parameter List`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getEventPattern

          EventPattern getEventPattern()

      Returns the value of the 'Event Pattern' reference.

      If the meaning of the 'Event Pattern' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Event Pattern' reference.
      See Also:
        `setEventPattern(EventPattern)`, `VeplPackage.getParameterizedPatternCall_EventPattern()`
      Generated:
      Model:

    - #### setEventPattern

          void setEventPattern(EventPattern value)

      Sets the value of the '`Event Pattern`' reference.
      Parameters:
        `value` - the new value of the 'Event Pattern' reference.
      See Also:
        `getEventPattern()`
      Generated:

    - #### getParameterList

          PatternCallParameterList getParameterList()

      Returns the value of the 'Parameter List' containment reference.

      If the meaning of the 'Parameter List' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parameter List' containment reference.
      See Also:
        `setParameterList(PatternCallParameterList)`, `VeplPackage.getParameterizedPatternCall_ParameterList()`
      Generated:
      Model:
        containment="true"

    - #### setParameterList

          void setParameterList(PatternCallParameterList value)

      Sets the value of the '`Parameter List`' containment reference.
      Parameters:
        `value` - the new value of the 'Parameter List' containment reference.
      See Also:
        `getParameterList()`
      Generated: